Package com.databricks.jdbc.common.safe

## Class DatabricksDriverFeatureFlagsContext

- java.lang.Object
- - com.databricks.jdbc.common.safe.DatabricksDriverFeatureFlagsContext

    public class DatabricksDriverFeatureFlagsContext
    extends Object

Context for dynamic feature flags that control the behavior of the driver.

### Constructor Summary

Constructors
`DatabricksDriverFeatureFlagsContext​(IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFeatureEnabled​(String name)`
`void` `shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksDriverFeatureFlagsContext

    public DatabricksDriverFeatureFlagsContext​(IDatabricksConnectionContext connectionContext)

### Method Detail

#### isFeatureEnabled

    public boolean isFeatureEnabled​(String name)

#### shutdown

    public void shutdown()